unit OknoUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Menus;  

type
  TOkno = class(TForm)
    Plocha: TImage;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormDestroy(Sender: TObject);
  private
    procedure wmstart(var msg:tmessage); message wm_user;
    procedure WMPaint(var Message: TWMPaint); message wm_paint;
  end;

var
  Okno: TOkno;

implementation

uses
  KorUnit, VelaKorU;

{$R *.DFM}

var v:velaKor;

procedure TOkno.FormCreate(Sender: TObject);
begin
  inicializuj(Plocha);
  postmessage(handle,wm_user,0,0);
end;

procedure TOkno.WMPaint(var Message: TWMPaint);
begin
  DokresliKory(Handle,Message);
  inherited;
end;

procedure TOkno.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  halt;
end;

procedure TOkno.FormDestroy(Sender: TObject);
begin
  v.Free;
  ZrusKory;
end;

//////////////////////////////////////////////////////////////////////////////////////////

procedure TOkno.WMstart(var msg:tmessage);
begin
  v:=velaKor.Create;
  
end;

end.
